Page MenuHomePhabricator

Namespace missing when search results from different language are shown
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Search User: namespace of de.wikipedia for an English term: https://de.wikipedia.org/w/index.php?title=Spezial:Suche&profile=advanced&profile=advanced&fulltext=Search&search=was+editor+of+the+New-York+Tribune%2C+as+well+as+the+Democratic+and+Liberal+Republican+candidate+in+the+1872+U.S.+presidential+election.+Born+to+a+poor+family+in+New+Hampshire&ns2=1 (use an excerpt from the current article of the day when you don't test this today)

Expected result: All results are prefixed with "User:", the tooltips should show this, too.

Actual result: Only one result, "User:The bellman" shows the namespace. It is missing for redirects, too. The tooltip for all results includes the localized namespace ("en:Benutzer:Foo") instead of the English original. Only redirects use the correct English namespace in the tooltip ("en:User:EditorBot").

Event Timeline

Schnark created this task.Jul 28 2016, 7:45 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJul 28 2016, 7:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as High priority.Jul 28 2016, 10:15 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.
debt added a subscriber: debt.

let's get this inconsistency fixed up.

EBernhardson renamed this task from Namespace missing when search results from different language are shwon to Namespace missing when search results from different language are shown.Jul 29 2016, 6:35 PM
EBernhardson claimed this task.

Change 301887 had a related patch set uploaded (by EBernhardson):
Show interwiki namespace in title snippet

https://gerrit.wikimedia.org/r/301887

the patch up handles getting the correct namespace displayed with the title. Fixing the tooltip is proving to be more difficult, it comes from the core Title object which takes a namespace number, rather than a name. There is probably some way to handle it i just haven't found it yet...

The new patch should also handle tooltips now. There might be some lingering inconsistencies though in inter-namespace redirects. These are fairly rare and can be delt with separately i think.

Change 301887 merged by jenkins-bot:
Show interwiki namespace correctly in tooltip and title snippet

https://gerrit.wikimedia.org/r/301887

debt closed this task as Resolved.Aug 16 2016, 10:11 PM